---
schema_version: "1"
id: 26941851cb7d9e155f2824d87a00840763b5430c8bf8227452668f6fbc98138e
title: GET /interaction/v1/interactions/{id}/audit/{action}
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/getInteractionAuditLog.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_interaction/getInteractionAuditLog.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 233fae0762e000469341cb49d610f76725cea248e762faed1f5a23a8d3f4c02b
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# GET /interaction/v1/interactions/{id}/audit/{action}

Retrieves an audit log for one or all versions of a journey by specifying its ID. You can specify different actions to see history related to the creation, modification, activation, deactivation, stopping, and deletion of a journey.

## URL Parameters

Specify these parameters in the URL.

| Name     | Type   | Description                                                                                                                                                                                                              |
| -------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `action` | String | Required. The actions to include in the audit log. Specify `all` to return all actions. Possible values:<ul><li>`all`</li><li>`create`</li><li>`modify`</li><li>`publish`</li><li>`unpublish`</li><li>`delete`</li></ul> |
| `id`     | String | Required. The ID of the journey to retrieve audit logs for. The response includes the audit log for all versions of the journey, unless you specify the `versionNumber` query parameter.                                 |

## Query Parameters

Use these optional query parameters to further refine the results.

| Name                             | Type    | Description                                                                                                                                                                                                                                                                                                                                       |
| -------------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `$page`                          | Integer | The page number of results to return. The default value is `1`.                                                                                                                                                                                                                                                                                   |
| `$pageSize`                      | Integer | The number of items to return in a page of results. The default value is `50`. The minimum value is `1` and the maximum is `50`. This value is only honored if the query string also specifies the `$page` parameter.                                                                                                                             |
| `mostRecentVersionOnly`          | Boolean | If `true`, the response includes an audit log for the most recent version of the journey. Don't specify this parameter if you specify the `versionNumber` parameter or if `mostRecentVersionOrRunningOnly` is `true`.                                                                                                                             |
| `mostRecentVersionOrRunningOnly` | Boolean | If `true`, the response includes an audit log for the running version of the journey and the next draft version, if one exists. Don't specify this parameter if you specify the `versionNumber` parameter or if `mostRecentVersionOnly` is `true`.                                                                                                |
| `status`                         | String  | A journey status value to filter the results by. Possible values are:<ul><li>`Deleted`</li><li>`Draft`</li><li>`None`</li><li>`Paused`</li><li>`Pausing`</li><li>`Published`</li><li>`Resuming`</li><li>`ScheduledToPublish`</li><li>`ScheduledToSend`</li><li>`ScheduledToStop`</li><li>`Sent`</li><li>`Stopped`</li><li>`Unpublished`</li></ul> |
| `versionNumber`                  | Integer | The version number of the journey to retrieve audit logs for. If you don't specify this parameter, the response includes audit logs for all versions of the journey.                                                                                                                                                                              |

## Usage

To retrieve audit logs, determine which type of action you want to view. This example returns all actions for version 2 of the specified journey.

```
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /interaction/v1/interactions/YOUR_JOURNEY_ID/audit/all?versionNumber=2
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

The response is a log that includes these elements:

- The current page number of results.
- The number of items returned in each page of results.
- The total number of items that meet the request parameters.
- An `Items` array. The array includes an object for each action. All objects in the array include these elements:
  - The ID, key, name, and description of the journey
  - The original definition ID
  - The date and time when the action occurred
  - The name and ID of the user who performed the action

This example shows an `Items` array that contains `Create`, `Modify`, `Publish`, and `Stop` actions.

```json
{
  "Page": 1,
  "PageSize": 50,
  "Count": 5,
  "Items": [
    {
      "action": "Create",
      "key": "some-journey-key",
      "versionNumber": 2,
      "id": "838e10a4-5082-4c93-8455-4c7be5d0b0da",
      "originalDefinitionId": "c1e1e38e-128b-41b6-9710-f5e942ce2660",
      "name": "Complete journey",
      "description": "This journey contains a trigger, goal, and activities",
      "timeStamp": "2025-10-30T11:49:55.99",
      "user": {
        "name": "Test User 1",
        "UserId": 1234
      },
      "executionMode": "Production",
      "sourceInteraction": {
        "id": "####-####-####-####-####",
        "version": 3,
        "key": "My journey"
      }
    },
    {
      "action": "Modify",
      "key": "some-journey-key",
      "versionNumber": 2,
      "id": "af388fb2-233a-4ab4-ad78-89fd00bc7827",
      "originalDefinitionId": "ce74fdea-7530-46b2-84d4-f76d464da460",
      "name": "Complete journey",
      "description": "This journey contains a trigger, goal, and activities",
      "timeStamp": "2025-10-30T11:49:55.99",
      "user": {
        "name": "Test User 1",
        "UserId": 1234
      },
      "executionMode": "Production"
    },
    {
      "action": "Publish",
      "key": "some-journey-key",
      "versionNumber": 2,
      "id": "1e5bffca-0bcb-4655-84fb-f3e0a7635ec0",
      "originalDefinitionId": "9fcebdec-262a-4b9b-92d7-f790d9a265c9",
      "name": "Complete journey",
      "description": "This journey contains a trigger, goal, and activities",
      "timeStamp": "2025-10-30T11:49:55.99",
      "user": {
        "name": "Test User 2",
        "userId": 5678
      },
      "executionMode": "Production",
      "publishStatus": "Error",
      "PublishRequestId": "e31c0c6f-f51a-41c7-9ef9-15039bb8e21c",
      "errors": [
        {
          "ErrorDetail": "An activity must be created and configured before activation can be successful",
          "ErrorCode": "VALIDATE_GENERAL_EXCEPTION"
        },
        {
          "ErrorDetail": "An entry event must be configured before activation can be successful",
          "ErrorCode": "VALIDATE_GENERAL_EXCEPTION"
        }
      ]
    },
    {
      "action": "Publish",
      "key": "some-journey-key",
      "versionNumber": 2,
      "id": "3163a736-1895-4e46-a247-472777c2b8be",
      "originalDefinitionId": "24ad56e3-c7a7-43a4-9c63-eb3cd10e6975",
      "name": "Complete journey",
      "description": "This journey contains a trigger, goal, and activities",
      "timeStamp": "2025-10-30T11:49:55.99",
      "user": {
        "name": "Test User 2",
        "userId": 5678
      },
      "executionMode": "Production",
      "publishStatus": "PublishCompleted",
      "publishRequestId": "191514ac-37a1-4674-b70c-029d1a5ffa4c"
    },
    {
      "action": "Stop",
      "key": "some-journey-key",
      "versionNumber": 2,
      "id": "5a5c23a7-58aa-4a5a-9b66-1f4cdd5f43e6",
      "originalDefinitionId": "65bd6ea2-df07-4232-89ba-330b1ca8e5f9",
      "name": "Complete journey",
      "description": "This journey contains a trigger, goal, and activities",
      "timeStamp": "2025-10-30T11:49:55.99",
      "user": {
        "name": "Test User 1",
        "userId": 1234
      },
      "ContactsEjected": 20
    }
  ]
}
```

## See Also

- [Get Journey Audit Logs by Key](https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_interaction/getInteractionAuditLogByKey.md)
